package com.ruoyi.system.service.impl;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.PosStoreMapper;
import com.ruoyi.system.domain.PosStore;
import com.ruoyi.system.service.IPosStoreService;

/**
 * posstoreService业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-14
 */
@Service
public class PosStoreServiceImpl extends ServiceImpl<BaseMapper<PosStore>,PosStore> implements IPosStoreService
{
    @Autowired
    private PosStoreMapper posStoreMapper;


    /**
     * 查询posstore
     * 
     * @param id posstore主键
     * @return posstore
     */
    @Override
    public PosStore selectPosStoreById(Long id)
    {
        return posStoreMapper.selectPosStoreById(id);
    }

    /**
     * 查询posstore列表
     * 
     * @param posStore posstore
     * @return posstore
     */
    @Override
    public List<PosStore> selectPosStoreList(PosStore posStore)
    {
        return posStoreMapper.selectPosStoreList(posStore);
    }

    /**
     * 新增posstore
     * 
     * @param posStore posstore
     * @return 结果
     */
    @Override
    public int insertPosStore(PosStore posStore)
    {
        return posStoreMapper.insertPosStore(posStore);
    }

    /**
     * 修改posstore
     *
     * @param posStore posstore
     * @return 结果
     */
    @Override
    public int updatePosStore(PosStore posStore)
    {
        return posStoreMapper.updatePosStore(posStore);
    }

    /**
     * 批量删除posstore
     * 
     * @param ids 需要删除的posstore主键
     * @return 结果
     */
    @Override
    public int deletePosStoreByIds(Long[] ids)
    {
        return posStoreMapper.deletePosStoreByIds(ids);
    }

    /**
     * 删除posstore信息
     * 
     * @param id posstore主键
     * @return 结果
     */
    @Override
    public int deletePosStoreById(Long id)
    {
        return posStoreMapper.deletePosStoreById(id);
    }
}
